Subject: egcs-2.9.66 (B20.1) errors
From: "Phil Edwards" <[email-masked]>
To: "Cygwin List" <[email-masked]>
Date: Tue, 06 Apr 1999 13:24:39 -0800

I've been experiencing two errors with the egcs-1.1.2
replacement for B20.1.  The first is a fatal error in
the compiler proper; I have no clue about the second.

The attached (too short?) text shows the error message.
The very first time I tried compiling, egcs hung at
the indicated point.  I broke with ^C, egcs printed
the rest of its error, and exited.  It never happened
again.

The error message itself, regarding the parser error,
is just damn confusing to me.  This same stuff builds
fine on a Unix system.  I don't even know how to begin
hunting this kind of bug down.  (Parameterized types
are neat, but cuss words I hate template debugging.)

The same happens in a minimal testcase.  Line 64-66
of bastring.h are:

   template <class charT, class traits = string_char_traits<charT>,
      class Allocator = alloc >
   class basic_string

It's either puking at the start of "class Allocator,"
or (more likely?) at the end of the traits bit on the
previous line.

Huh?

-----== Sent via Deja News, The Discussion Network ==-----
http://www.dejanews.com/  Easy access to 50,000+ discussion forums

   []>  make
   bison_pp -d -o LPParser.cc LPParser.y
   g++ -c -Wall -I. LPParser.cc
   In file included from D:/cygnus/cygwin-b20/H-i586-cygwin32/bin/../lib/gc
   c-lib/i586-cygwin32/egcs-2.91.66/../../../../../include/g++/string:6,
                    from lpparser.y:5:
   D:/cygnus/cygwin-b20/H-i586-cygwin32/bin/../lib/gcc-lib/i586-cygwin32/eg
   cs-2.91.66/../../../../../include/g++/std/bastring.h:65: parse error before `>'
[hangs here, breaks out on ^C]
   g++.c:2574: Internal compiler error in function execute

   []>

--
Want to unsubscribe from this list?
Send a message to [email-masked]